:root {
  --accent-color: #00ff19;
  --white-text-color: rgb(255, 255, 255, 0.7);
  --black-text-color: rgba(65, 65, 65, 0.7);
  --heading-font-family: "Playfair Display", serif;
}

body {
  font-family: "Poppins", sans-serif;
}

* {
  margin: 0;
  padding: 0;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

.viewport {
  position: relative;
  width: 100vw;
  height: 100vh;
  overflow: hidden;
}

.parallax-parent {
  position: relative;
  top: 100vh;
  left: 0;
  width: 100vh;
  height: 100vw;
  -webkit-transform-origin: top left;
  transform-origin: top left;
  -webkit-transform: rotate(-90deg);
  transform: rotate(-90deg);
  overflow-x: hidden;
  overflow-y: scroll;
  -webkit-perspective-origin: 50% 50% 0;
  perspective-origin: 50% 50% 0;
  -webkit-perspective: 3px;
  perspective: 3px;
  scroll-behavior: smooth;
}

.parallax-parent::-webkit-scrollbar {
  display: none;
}

.background-colors {
  position: relative;
  width: 100vh;
  height: 100vw;
  background-color: black;
  z-index: -2;
  scroll-behavior: smooth;
}

.parallax-child-container {
  position: absolute;
  width: 100vh;
  height: 100vw;
  text-align: center;
  overflow: hidden;
  z-index: 1;
}

.parallax-child-container:nth-of-type(1) {
  top: 0vw;
  background-color: black;
}

.parallax-child-container:nth-of-type(2) {
  top: 100vw;
  background-color: var(--accent-color);
  z-index: -1;
}

.parallax-child-container:nth-of-type(3) {
  top: 200vw;
  border-bottom: 4px solid white;
  background-color: white;
  z-index: 2;
}

.parallax-child-container:nth-of-type(4) {
  top: 300vw;
  background-color: white;
}

.parallax-child-container:nth-of-type(5) {
  top: 400vw;
  background-color: black;
  border-bottom: 4px solid black;
  border-top: 4px solid black;
}
.parallax-child-container:nth-of-type(6) {
  top: 500vw;
  background-color: white;
  border-bottom: 4px solid white;
}

.parallax-child-container:nth-of-type(7) {
  top: 600vw;
  background-color: white;
}

.parallax-child-container:nth-of-type(8) {
  top: 700vw;
  background-color: black;
}

.parallax-child-intro {
  position: absolute;
  top: 30%;
  left: 50%;
  width: 100vw;
  padding: 0 30vw;
  -webkit-transform-origin: 50% 50% 0;
  transform-origin: 50% 50% 0;
  -webkit-transform: translateX(-50%) translateY(-50%) rotate(90deg);
  transform: translateX(-50%) translateY(-50%) rotate(90deg);
}

.parallax-child-contact {
  position: relative;
  top: 50%;
  left: 50%;
  width: 100vh;
  -webkit-transform-origin: 50% 50% 0;
  transform-origin: 50% 50% 0;
  -webkit-transform: translateX(-50%) translateY(-50%) rotate(90deg);
  transform: translateX(-50%) translateY(-50%) rotate(90deg);
}

.parallax-child-socialmedia {
  position: relative;
  top: 95%;
  left: 10%;
  width: 100vw;
  -webkit-transform-origin: 50% 50% 0;
  transform-origin: 50% 50% 0;
  -webkit-transform: translateX(-50%) translateY(-50%) rotate(90deg);
  transform: translateX(-50%) translateY(-50%) rotate(90deg);
  z-index: 9;
}

.parallax-child-page {
  position: relative;
  top: 40%;
  left: 68%;
  width: 100vw;
  padding: none;
  margin: none;
  -webkit-transform-origin: 50% 50% 0;
  transform-origin: 50% 50% 0;
  -webkit-transform: translateX(-50%) translateY(-50%) rotate(90deg);
  transform: translateX(-50%) translateY(-50%) rotate(90deg);
}

.parallax-child-portfolio {
  position: absolute;
  top: 40%;
  left: 17%;
  width: 100vw;
  padding: 0 15vw;
  -webkit-transform-origin: 50% 50% 0;
  transform-origin: 50% 50% 0;
  -webkit-transform: translateX(-50%) translateY(-50%) rotate(90deg);
  transform: translateX(-50%) translateY(-50%) rotate(90deg);
}

.img-portfolio {
  position: relative;
  width: 100vw;
  top: 0%;
  left: 10%;
}

.tittle-intro {
  font-weight: 700;
  font-size: 64px;
  font-family: var(--heading-font-family);
  padding: 50px 300px 30px 0px;
  color: white;
  text-align: left;
}

.tittle-contact {
  font-weight: 700;
  font-size: 64px;
  font-family: var(--heading-font-family);
  padding-left: 400px;
  color: white;
  text-align: right;
}

.description-intro {
  font-weight: 500;
  font-size: 32px;
  color: var(--white-text-color);
  line-height: 30px;
  text-align: left;
}

.container-contact {
  font-weight: 500;
  font-size: 32px;
  line-height: 30px;
  text-align: right;
  padding-left: 400px;
}

.container-contact a {
  color: var(--white-text-color);
  text-decoration: none;
}

.container-contact a:hover {
  color: var(--accent-color);
}

.buttons {
  padding: 20px 0 0 0;
  z-index: 9;
}

.button-info {
  width: 85%;
  height: 120%;
  border-radius: 30px;
  font-weight: 700;
  z-index: 9;
  transition: all 100ms ease-in-out;
}

.button-info:hover {
  background-color: rgb(223, 222, 222);
}

.button-works {
  width: 120%;
  height: 120%;
  border-radius: 30px;
  font-weight: 700;
  z-index: 9;
  transition: all 100ms ease-in-out;
}

.button-works:hover {
  background-color: #adadad;
  cursor: pointer;
}

.mute-button {
  position: absolute;
  top: 470px;
  right: 1220px;
  border: none;
  padding: 5px;
  border-radius: 5px;
  font-size: 16px;
  background-color: var(--accent-color);
  -webkit-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
  z-index: 9;
  transition: all 100ms ease-in-out;
}

.mute-button:hover {
  background-color: white;
}

.socialmedia {
  padding-left: 200px;
  word-spacing: 50px;
}
.socialmedia a {
  color: var(--accent-color);
  font-size: 32px;
  margin: 0 20px;
  transition: all 100ms ease-in-out;
}

.socialmedia a:hover {
  color: #00fd19b7;
  font-size: 32px;
}

.nft-calendar{
fill: #00ff19;
}

.description-about {
  font-weight: 500;
  font-size: 32px;
  color: var(--black-text-color);
  line-height: 30px;
  text-align: left;
}

.description-white {
  font-weight: 500;
  font-size: 28px;
  color: var(--black-text-color);
  line-height: 28px;
  text-align: left;
  margin-top: 40px;
}

.description-black {
  font-weight: 500;
  font-size: 28px;
  color: var(--white-text-color);
  line-height: 28px;
  text-align: left;
}

.learn-more {
  color: var(--accent-color);
  text-decoration: none;
  transition: all 100ms ease-in-out;
}

.learn-more:hover {
  color: var(--black-text-color);
}

.selected-works {
  position: absolute;
  color: black;
  text-decoration: none;
  padding-top: 20px;
  z-index: 9;
  transition: all 100ms ease-in-out;
}
.check-my-works:hover {
  color: var(--black-text-color);
  cursor: pointer;
}

.parallax-background {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 200vw;
  height: 100vh;
  -webkit-transform: translateX(-50%) translateY(180%) translateZ(-8px)
    scale(2.5) rotate(90deg);
  transform: translateX(-50%) translateY(180%) translateZ(-8px) scale(2.5)
    rotate(90deg);
  z-index: -1;
}

.parallax-background h1 {
  height: 100vh;
  line-height: 100vh;
  font-family: sans-serif;
  font-size: 10rem;
  text-align: center;
  -webkit-text-stroke: 2px rgb(134, 134, 134);
  -webkit-text-fill-color: transparent;
  z-index: -1;
}

/*Scrolling tittles*/
.work-tittle {
  font-size: 32px;
  line-height: 1.2;
  padding-top: 50px;
  overflow: visible;
  display: inline-block;
  white-space: nowrap;
  animation: floatText 60s infinite linear;
  padding-left: 100%; /*Initial offset, which places the text off-screen*/
  margin-top: none;
  padding-top: none;
  color: var(--accent-color);
}
@keyframes floatText {
  to {
    transform: translateX(-100%);
  }
}

.credits {
  position: relative;
  top: 200px;
}

.credits a {
  font-size: 14px;
  color: var(--white-text-color);
  text-decoration: none;
  transition: all 100ms ease-in-out;
}

.credits a:hover {
  color: var(--accent-color);
}

@media (max-width: 1000px) {
  .buttons,
  .button-info,
  .button-works,
  .selected-works,
  .mute-button,
  .work-tittle,
  #desktop,
  .parallax-background,
  .parallax-background h1 {
    display: none;
  }

  .parallax-child-intro {
    position: absolute;
    top: 50%;
    left: 50%;
    padding: 0 10px;
  }

  .tittle-intro {
    font-size: 48px;
    padding: 0;
  }
  .description-intro,
  .description-about {
    font-size: 26px;
    line-height: 26px;
  }

  .description-about {
    font-size: 22px;
    line-height: 24px;
    margin: 0 25px;
  }

  .parallax-child-about {
    position: absolute;
    top: 50%;
    left: 50%;
    padding: 0 10px;
  }

  .parallax-child-page,
  .parallax-child-page {
    top: 50%;
    left: 50%;
  }

  .img-portfolio {
    position: relative;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    object-fit: cover;
  }

  .parallax-child-portfolio {
    position: absolute;
    top: 50%;
    left: 50%;
    z-index: 9;
  }

  .description-white {
    font-size: 22px;
    line-height: 24px;
    background-color: rgba(240, 240, 240, 0.4);
    padding: 5px;
    border-radius: 5px;
  }

  .description-black {
    font-size: 22px;
    line-height: 24px;
    background-color: rgba(0, 0, 0, 0.5);
    padding: 5px;
    border-radius: 5px;
  }
  .parallax-child-socialmedia {
    position: absolute;
    top: 50%;
    left: 50%;
  }

  .socialmedia {
    padding-left: 20px;
    padding-top: 650px;
    word-spacing: 75px;
  }

  .socialmedia a {
    font-size: 26px;
  }

  .parallax-child-contact {
    position: relative;
    width: 100vh;
  }
  .container-contact,
  .tittle-contact {
    position: relative;
    padding-right: 250px;
  }

  .tittle-contact {
    font-weight: 700;
    font-size: 38px;
  }
  .container-contact {
    position: relative;
    font-size: 28px;
    text-align: right;
  }

  #myVideo-recall,
  #myVideo-newhaven,
  #myVideo-afterimage,
  #myVideo-ASMRgifts,
  #myVideo-strangeattr {
    display: none;
  }
}

@media (min-width: 1000px) {
  #mobile {
    display: none;
  }

  #myImage-recall,
  #myImage-newhaven,
  #myImage-afterimage,
  #myImage-asmrgifts,
  #myImage-strangeattr {
    display: none;
  }
}
